Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.general
Class WaferMapDataset

    java.lang.Object
      org.jfree.data.general.AbstractDataset
          org.jfree.data.general.WaferMapDataset

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, Dataset

    public class WaferMapDataset

extends AbstractDataset

A dataset that can be used with the `WaferMapPlot` class.

See Also:
  Serialized Form

Constructor Summary
`WaferMapDataset(int maxChipX, int maxChipY)` Creates a new dataset using the default chipspace.
`WaferMapDataset(int maxChipX, int maxChipY, java.lang.Number chipSpace)` Creates a new dataset.

Method Summary
`void` | `addValue(int v, int x, int y)` Adds a value to the dataset.
`void` | `addValue(java.lang.Number value, java.lang.Comparable chipx, java.lang.Comparable chipy)` Sets a value in the dataset.
`double` | `getChipSpace()` Returns the space to draw between chips.
`java.lang.Number` | `getChipValue(java.lang.Comparable chipx, java.lang.Comparable chipy)` Returns the value for a given chip x and y or null.
`java.lang.Number` | `getChipValue(int chipx, int chipy)` Returns the data value for a chip.
`int` | `getMaxChipX()` Returns the wafer x-dimension.
`int` | `getMaxChipY()` Returns the number of chips in the y-dimension.
`java.lang.Number` | `getMaxValue()` Returns the maximum value stored in the dataset.
`java.lang.Number` | `getMinValue()` Returns the minimum value stored in the dataset.
`int` | `getUniqueValueCount()` Returns the number of unique values.
`java.util.Set` | `getUniqueValues()` Returns the set of unique values.
`boolean` | `isMaxValue(java.lang.Number check)` Tests to see if the passed value is larger than the stored maxvalue.
`boolean` | `isMinValue(java.lang.Number check)` Tests to see if the passed value is smaller than the stored minvalue.
`void` | `setChipSpace(double space)` Sets the space to draw between chips.
`void` | `setMaxChipX(int maxChipX)` Sets wafer x dimension.
`void` | `setMaxChipY(int maxChipY)` Sets the number of chips in the y-dimension.
`void` | `setValue(java.lang.Number value, java.lang.Comparable chipx, java.lang.Comparable chipy)` Sets a value in the dataset and updates min and max value entries.

Methods inherited from class org.jfree.data.general.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WaferMapDataset

    public WaferMapDataset(int maxChipX,
                           int maxChipY)

  Creates a new dataset using the default chipspace.

  Parameters:
    `maxChipX` - the wafer x-dimension.
    `maxChipY` - the wafer y-dimension.

### WaferMapDataset

    public WaferMapDataset(int maxChipX,
                           int maxChipY,
                           java.lang.Number chipSpace)

  Creates a new dataset.

  Parameters:
    `maxChipX` - the wafer x-dimension.
    `maxChipY` - the wafer y-dimension.
    `chipSpace` - the space between chips.

Method Detail

### addValue

    public void addValue(java.lang.Number value,
                         java.lang.Comparable chipx,
                         java.lang.Comparable chipy)

  Sets a value in the dataset.

  Parameters:
    `value` - the value.
    `chipx` - the x-index for the chip.
    `chipy` - the y-index for the chip.

### addValue

    public void addValue(int v,
                         int x,
                         int y)

  Adds a value to the dataset.

  Parameters:
    `v` - the value.
    `x` - the x-index.
    `y` - the y-index.

### setValue

    public void setValue(java.lang.Number value,
                         java.lang.Comparable chipx,
                         java.lang.Comparable chipy)

  Sets a value in the dataset and updates min and max value entries.

  Parameters:
    `value` - the value.
    `chipx` - the x-index.
    `chipy` - the y-index.

### getUniqueValueCount

    public int getUniqueValueCount()

  Returns the number of unique values.

  Returns:
    The number of unique values.

### getUniqueValues

    public java.util.Set getUniqueValues()

  Returns the set of unique values.

  Returns:
    The set of unique values.

### getChipValue

    public java.lang.Number getChipValue(int chipx,
                                         int chipy)

  Returns the data value for a chip.

  Parameters:
    `chipx` - the x-index.
    `chipy` - the y-index.
  Returns:
    The data value.

### getChipValue

    public java.lang.Number getChipValue(java.lang.Comparable chipx,
                                         java.lang.Comparable chipy)

  Returns the value for a given chip x and y or null.

  Parameters:
    `chipx` - the x-index.
    `chipy` - the y-index.
  Returns:
    The data value.

### isMaxValue

    public boolean isMaxValue(java.lang.Number check)

  Tests to see if the passed value is larger than the stored maxvalue.

  Parameters:
    `check` - the number to check.
  Returns:
    A boolean.

### isMinValue

    public boolean isMinValue(java.lang.Number check)

  Tests to see if the passed value is smaller than the stored minvalue.

  Parameters:
    `check` - the number to check.
  Returns:
    A boolean.

### getMaxValue

    public java.lang.Number getMaxValue()

  Returns the maximum value stored in the dataset.

  Returns:
    The maximum value.

### getMinValue

    public java.lang.Number getMinValue()

  Returns the minimum value stored in the dataset.

  Returns:
    The minimum value.

### getMaxChipX

    public int getMaxChipX()

  Returns the wafer x-dimension.

  Returns:
    The number of chips in the x-dimension.

### setMaxChipX

    public void setMaxChipX(int maxChipX)

  Sets wafer x dimension.

  Parameters:
    `maxChipX` - the number of chips in the x-dimension.

### getMaxChipY

    public int getMaxChipY()

  Returns the number of chips in the y-dimension.

  Returns:
    The number of chips.

### setMaxChipY

    public void setMaxChipY(int maxChipY)

  Sets the number of chips in the y-dimension.

  Parameters:
    `maxChipY` - the number of chips.

### getChipSpace

    public double getChipSpace()

  Returns the space to draw between chips.

  Returns:
    The space.

### setChipSpace

    public void setChipSpace(double space)

  Sets the space to draw between chips.

  Parameters:
    `space` - the space.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD